PhP5 Install Probleme

Dieses Thema im Forum "SuSE / OpenSuSE" wurde erstellt von Darkin, 04.04.2008.

Status des Themas:
Es sind keine weiteren Antworten möglich.
  1. #1 Darkin, 04.04.2008
    Zuletzt von einem Moderator bearbeitet: 04.04.2008
    Darkin

    Darkin Grünschnabel

    Dabei seit:
    04.04.2008
    Beiträge:
    5
    Zustimmungen:
    0
    guten tag

    ich habe hier ein problem bei der installation von php5 auf meinem opensuse 10.0 server

    ich habe schon einiges probiert und auch schon mindestens 10 stunden gegoogelt sowie foren gelesen aber nichts hat geholfen

    vll habt ihr ja eine idee

    hier mal das log

    Code:
    /bin/sh /tmp/php-5.2.5/libtool --silent --preserve-dup-deps --mode=link gcc -I/usr/include -g -O2  -rpath /tmp/php-5.2.5/libs -avoid-version -module -L/usr/local/ssl/lib  -R /usr/local/ssl/lib ext/libxml/libxml.lo ext/openssl/openssl.lo ext/openssl/xp_ssl.lo ext/pcre/pcrelib/pcre_chartables.lo ext/pcre/pcrelib/pcre_ucp_searchfuncs.lo ext/pcre/pcrelib/pcre_compile.lo ext/pcre/pcrelib/pcre_config.lo ext/pcre/pcrelib/pcre_exec.lo ext/pcre/pcrelib/pcre_fullinfo.lo ext/pcre/pcrelib/pcre_get.lo ext/pcre/pcrelib/pcre_globals.lo ext/pcre/pcrelib/pcre_info.lo ext/pcre/pcrelib/pcre_maketables.lo ext/pcre/pcrelib/pcre_newline.lo ext/pcre/pcrelib/pcre_ord2utf8.lo ext/pcre/pcrelib/pcre_refcount.lo ext/pcre/pcrelib/pcre_study.lo ext/pcre/pcrelib/pcre_tables.lo ext/pcre/pcrelib/pcre_try_flipped.lo ext/pcre/pcrelib/pcre_valid_utf8.lo ext/pcre/pcrelib/pcre_version.lo ext/pcre/pcrelib/pcre_xclass.lo ext/pcre/php_pcre.lo ext/ctype/ctype.lo ext/date/php_date.lo ext/date/lib/astro.lo ext/date/lib/dow.lo ext/date/lib/parse_date.lo ext/date/lib/parse_tz.lo ext/date/lib/timelib.lo ext/date/lib/tm2unixtime.lo ext/date/lib/unixtime2tm.lo ext/dom/php_dom.lo ext/dom/attr.lo ext/dom/document.lo ext/dom/domerrorhandler.lo ext/dom/domstringlist.lo ext/dom/domexception.lo ext/dom/namelist.lo ext/dom/processinginstruction.lo ext/dom/cdatasection.lo ext/dom/documentfragment.lo ext/dom/domimplementation.lo ext/dom/element.lo ext/dom/node.lo ext/dom/string_extend.lo ext/dom/characterdata.lo ext/dom/documenttype.lo ext/dom/domimplementationlist.lo ext/dom/entity.lo ext/dom/nodelist.lo ext/dom/text.lo ext/dom/comment.lo ext/dom/domconfiguration.lo ext/dom/domimplementationsource.lo ext/dom/entityreference.lo ext/dom/notation.lo ext/dom/xpath.lo ext/dom/dom_iterators.lo ext/dom/typeinfo.lo ext/dom/domerror.lo ext/dom/domlocator.lo ext/dom/namednodemap.lo ext/dom/userdatahandler.lo ext/filter/filter.lo ext/filter/sanitizing_filters.lo ext/filter/logical_filters.lo ext/filter/callback_filter.lo ext/hash/hash.lo ext/hash/hash_md.lo ext/hash/hash_sha.lo ext/hash/hash_ripemd.lo ext/hash/hash_haval.lo ext/hash/hash_tiger.lo ext/hash/hash_gost.lo ext/hash/hash_snefru.lo ext/hash/hash_whirlpool.lo ext/hash/hash_adler32.lo ext/hash/hash_crc32.lo ext/iconv/iconv.lo ext/json/json.lo ext/json/utf8_to_utf16.lo ext/json/utf8_decode.lo ext/json/JSON_parser.lo ext/pdo/pdo.lo ext/pdo/pdo_dbh.lo ext/pdo/pdo_stmt.lo ext/pdo/pdo_sql_parser.lo ext/pdo/pdo_sqlstate.lo ext/pdo_sqlite/pdo_sqlite.lo ext/pdo_sqlite/sqlite_driver.lo ext/pdo_sqlite/sqlite_statement.lo ext/pdo_sqlite/sqlite/src/attach.lo ext/pdo_sqlite/sqlite/src/auth.lo ext/pdo_sqlite/sqlite/src/btree.lo ext/pdo_sqlite/sqlite/src/build.lo ext/pdo_sqlite/sqlite/src/callback.lo ext/pdo_sqlite/sqlite/src/date.lo ext/pdo_sqlite/sqlite/src/delete.lo ext/pdo_sqlite/sqlite/src/expr.lo ext/pdo_sqlite/sqlite/src/func.lo ext/pdo_sqlite/sqlite/src/hash.lo ext/pdo_sqlite/sqlite/src/insert.lo ext/pdo_sqlite/sqlite/src/legacy.lo ext/pdo_sqlite/sqlite/src/main.lo ext/pdo_sqlite/sqlite/src/os_unix.lo ext/pdo_sqlite/sqlite/src/os_win.lo ext/pdo_sqlite/sqlite/src/os.lo ext/pdo_sqlite/sqlite/src/pager.lo ext/pdo_sqlite/sqlite/src/pragma.lo ext/pdo_sqlite/sqlite/src/prepare.lo ext/pdo_sqlite/sqlite/src/printf.lo ext/pdo_sqlite/sqlite/src/random.lo ext/pdo_sqlite/sqlite/src/select.lo ext/pdo_sqlite/sqlite/src/table.lo ext/pdo_sqlite/sqlite/src/tokenize.lo ext/pdo_sqlite/sqlite/src/analyze.lo ext/pdo_sqlite/sqlite/src/complete.lo ext/pdo_sqlite/sqlite/src/trigger.lo ext/pdo_sqlite/sqlite/src/update.lo ext/pdo_sqlite/sqlite/src/utf.lo ext/pdo_sqlite/sqlite/src/util.lo ext/pdo_sqlite/sqlite/src/vacuum.lo ext/pdo_sqlite/sqlite/src/vdbeapi.lo ext/pdo_sqlite/sqlite/src/vdbeaux.lo ext/pdo_sqlite/sqlite/src/vdbe.lo ext/pdo_sqlite/sqlite/src/vdbemem.lo ext/pdo_sqlite/sqlite/src/where.lo ext/pdo_sqlite/sqlite/src/parse.lo ext/pdo_sqlite/sqlite/src/opcodes.lo ext/pdo_sqlite/sqlite/src/alter.lo ext/pdo_sqlite/sqlite/src/vdbefifo.lo ext/pdo_sqlite/sqlite/src/vtab.lo ext/pdo_sqlite/sqlite/src/loadext.lo ext/posix/posix.lo ext/reflection/php_reflection.lo ext/session/session.lo ext/session/mod_files.lo ext/session/mod_mm.lo ext/session/mod_user.lo ext/simplexml/simplexml.lo ext/spl/php_spl.lo ext/spl/spl_functions.lo ext/spl/spl_engine.lo ext/spl/spl_iterators.lo ext/spl/spl_array.lo ext/spl/spl_directory.lo ext/spl/spl_sxe.lo ext/spl/spl_exceptions.lo ext/spl/spl_observer.lo ext/sqlite/sqlite.lo ext/sqlite/sess_sqlite.lo ext/sqlite/pdo_sqlite2.lo ext/sqlite/libsqlite/src/opcodes.lo ext/sqlite/libsqlite/src/parse.lo ext/sqlite/libsqlite/src/encode.lo ext/sqlite/libsqlite/src/auth.lo ext/sqlite/libsqlite/src/btree.lo ext/sqlite/libsqlite/src/build.lo ext/sqlite/libsqlite/src/delete.lo ext/sqlite/libsqlite/src/expr.lo ext/sqlite/libsqlite/src/func.lo ext/sqlite/libsqlite/src/hash.lo ext/sqlite/libsqlite/src/insert.lo ext/sqlite/libsqlite/src/main.lo ext/sqlite/libsqlite/src/os.lo ext/sqlite/libsqlite/src/pager.lo ext/sqlite/libsqlite/src/printf.lo ext/sqlite/libsqlite/src/random.lo ext/sqlite/libsqlite/src/select.lo ext/sqlite/libsqlite/src/table.lo ext/sqlite/libsqlite/src/tokenize.lo ext/sqlite/libsqlite/src/update.lo ext/sqlite/libsqlite/src/util.lo ext/sqlite/libsqlite/src/vdbe.lo ext/sqlite/libsqlite/src/attach.lo ext/sqlite/libsqlite/src/btree_rb.lo ext/sqlite/libsqlite/src/pragma.lo ext/sqlite/libsqlite/src/vacuum.lo ext/sqlite/libsqlite/src/copy.lo ext/sqlite/libsqlite/src/vdbeaux.lo ext/sqlite/libsqlite/src/date.lo ext/sqlite/libsqlite/src/where.lo ext/sqlite/libsqlite/src/trigger.lo regex/regcomp.lo regex/regexec.lo regex/regerror.lo regex/regfree.lo ext/standard/array.lo ext/standard/base64.lo ext/standard/basic_functions.lo ext/standard/browscap.lo ext/standard/crc32.lo ext/standard/crypt.lo ext/standard/cyr_convert.lo ext/standard/datetime.lo ext/standard/dir.lo ext/standard/dl.lo ext/standard/dns.lo ext/standard/exec.lo ext/standard/file.lo ext/standard/filestat.lo ext/standard/flock_compat.lo ext/standard/formatted_print.lo ext/standard/fsock.lo ext/standard/head.lo ext/standard/html.lo ext/standard/image.lo ext/standard/info.lo ext/standard/iptc.lo ext/standard/lcg.lo ext/standard/link.lo ext/standard/mail.lo ext/standard/math.lo ext/standard/md5.lo ext/standard/metaphone.lo ext/standard/microtime.lo ext/standard/pack.lo ext/standard/pageinfo.lo ext/standard/quot_print.lo ext/standard/rand.lo ext/standard/reg.lo ext/standard/soundex.lo ext/standard/string.lo ext/standard/scanf.lo ext/standard/syslog.lo ext/standard/type.lo ext/standard/uniqid.lo ext/standard/url.lo ext/standard/url_scanner.lo ext/standard/var.lo ext/standard/versioning.lo ext/standard/assert.lo ext/standard/strnatcmp.lo ext/standard/levenshtein.lo ext/standard/incomplete_class.lo ext/standard/url_scanner_ex.lo ext/standard/ftp_fopen_wrapper.lo ext/standard/http_fopen_wrapper.lo ext/standard/php_fopen_wrapper.lo ext/standard/credits.lo ext/standard/css.lo ext/standard/var_unserializer.lo ext/standard/ftok.lo ext/standard/sha1.lo ext/standard/user_filters.lo ext/standard/uuencode.lo ext/standard/filters.lo ext/standard/proc_open.lo ext/standard/streamsfuncs.lo ext/standard/http.lo ext/tokenizer/tokenizer.lo ext/tokenizer/tokenizer_data.lo ext/xml/xml.lo ext/xml/compat.lo ext/xmlreader/php_xmlreader.lo ext/xmlwriter/php_xmlwriter.lo TSRM/TSRM.lo TSRM/tsrm_strtok_r.lo TSRM/tsrm_virtual_cwd.lo main/main.lo main/snprintf.lo main/spprintf.lo main/php_sprintf.lo main/safe_mode.lo main/fopen_wrappers.lo main/alloca.lo main/php_scandir.lo main/php_ini.lo main/SAPI.lo main/rfc1867.lo main/php_content_types.lo main/strlcpy.lo main/strlcat.lo main/mergesort.lo main/reentrancy.lo main/php_variables.lo main/php_ticks.lo main/network.lo main/php_open_temporary_file.lo main/php_logos.lo main/output.lo main/streams/streams.lo main/streams/cast.lo main/streams/memory.lo main/streams/filter.lo main/streams/plain_wrapper.lo main/streams/userspace.lo main/streams/transports.lo main/streams/xp_socket.lo main/streams/mmap.lo Zend/zend_language_parser.lo Zend/zend_language_scanner.lo Zend/zend_ini_parser.lo Zend/zend_ini_scanner.lo Zend/zend_alloc.lo Zend/zend_compile.lo Zend/zend_constants.lo Zend/zend_dynamic_array.lo Zend/zend_execute_API.lo Zend/zend_highlight.lo Zend/zend_llist.lo Zend/zend_opcode.lo Zend/zend_operators.lo Zend/zend_ptr_stack.lo Zend/zend_stack.lo Zend/zend_variables.lo Zend/zend.lo Zend/zend_API.lo Zend/zend_extensions.lo Zend/zend_hash.lo Zend/zend_list.lo Zend/zend_indent.lo Zend/zend_builtin_functions.lo Zend/zend_sprintf.lo Zend/zend_ini.lo Zend/zend_qsort.lo Zend/zend_multibyte.lo Zend/zend_ts_hash.lo Zend/zend_stream.lo Zend/zend_iterators.lo Zend/zend_interfaces.lo Zend/zend_exceptions.lo Zend/zend_strtod.lo Zend/zend_objects.lo Zend/zend_object_handlers.lo Zend/zend_objects_API.lo Zend/zend_default_classes.lo Zend/zend_execute.lo sapi/apache2handler/mod_php5.lo sapi/apache2handler/sapi_apache2.lo sapi/apache2handler/apache_config.lo sapi/apache2handler/php_functions.lo main/internal_functions.lo -lcrypt -lcrypt -lrt -lssl -lcrypto -lresolv -lm -ldl -lnsl -lxml2 -lm -lxml2 -lm -lxml2 -lm -lcrypt -lxml2 -lm -lxml2 -lm -lxml2 -lm -lcrypt  -o libphp5.la
    /usr/lib64/gcc/x86_64-suse-linux/4.0.2/../../../../x86_64-suse-linux/bin/ld: /usr/local/ssl/lib/libssl.a(s2_srvr.o): relocation R_X86_64_32 against `a local symbol' can not be used when making a shared object; recompile with -fPIC
    /usr/local/ssl/lib/libssl.a: could not read symbols: Bad value
    collect2: ld returned 1 exit status
    make: *** [libphp5.la] Error 1
    
    wie gesagt ich hoffe ihr könnt mir da weiter helfen

    mfg
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. Gast1

    Gast1 Guest

    Du willst statt über Deinen Paketmanager per Hand eine zentralen Anwendung(sgruppe) in nicht unterstützter Version in eine nicht mehr supportete Distribution einspielen.

    http://en.opensuse.org/SUSE_Linux_Lifetime

    Das ist das eigentliche Problem.
     
  4. Darkin

    Darkin Grünschnabel

    Dabei seit:
    04.04.2008
    Beiträge:
    5
    Zustimmungen:
    0
    hmmmm man kanns ja mal versuchen ^^

    nein danke für den hinweis habe yast völlig vergessen
     
  5. Gast1

    Gast1 Guest

    Den zweiten Teil des Satzes gelesen bzw. den Link angeklickt?
     
  6. Darkin

    Darkin Grünschnabel

    Dabei seit:
    04.04.2008
    Beiträge:
    5
    Zustimmungen:
    0
    ja ich überlege aber noch was du mir damit sagen willst ausser das es anscheinend schon bessere versionen gibt als 10.0 mir aber leider wegen meines deticated server die hände gebunden sind

    falls du das nicht meinst kläre mich bitte auf :)
     
  7. Gast1

    Gast1 Guest

    Du sollst auf einer neuere Version updaten und gerade WENN Du einen echten dedicated hast (also kein vServer) ist das Adminpflicht.

    Der Hoster stellt Dir im übrigen nur die Hardware, der Rest ist Deine Aufgabe (und für jemanden, der einen Server ordentlich administriert auch kein Hexenwerk).

    Deine Kiste wird mindestens seit dem oben angegebene Datum nicht mehr mit Sicherheitsupdates versorgt, weiteres Betreiben mit einer potentiell unsicheren Distribution ist grob fahrlässig!
     
  8. Darkin

    Darkin Grünschnabel

    Dabei seit:
    04.04.2008
    Beiträge:
    5
    Zustimmungen:
    0
    ah ok nun weiss ich was du meinst habe eben auf über yast den befehl zum updaten gegeben .... ich denke bzw nein ich hoffe damit sollte es funzen

    bin was linux angeht noch nicht so bewandert leider aber man lehrnt ja nie aus

    entschuldige bitte :)
     
  9. Gast1

    Gast1 Guest

    Du solltest Dir ernsthaft Gedanken machen, ob Du das Ding nicht besser abmeldest.

    Anhand der oben gemachten Aussagen kann ich Dir das nur nahelegen, auch wenn Dir das nicht gefällt, denn Du scheinst nicht im Entferntesten die Kenntnisse zu besitzen, um einen dedicated Server zu betreiben.

    So, wie Du schreibst macht man kein Systemupgrade auf eine neue SuSE-Version, das sollte man als Serveradmin eigentlich auch wissen.
     
  10. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  11. Darkin

    Darkin Grünschnabel

    Dabei seit:
    04.04.2008
    Beiträge:
    5
    Zustimmungen:
    0
    ach naja ich habe eigentlich mehr als genug erfahrung im administrativen bereich aber eben nich einschlägig oder sehr wenig für linux server

    ich weiss nich ob ich unbedingt den server wieder abmelden sollte denn dadurch wird meine kenntniss mit linux servern auch nicht besser sondern im gegenteil eventuell sogar schlechter

    es gibt mit sicherheit ziemlich vieles wo ich mich erst reinlesen muss was aber kein grund wäre einen server wieder abzumelden

    aber ich danke dir für den tip ;)

    wie ich nun im genauen ein upgrade durchführe von 10.0 auf 10.3 werde ich noch nachlesen

    mfg
     
  12. sinn3r

    sinn3r Law & Order
    Moderator

    Dabei seit:
    28.12.2006
    Beiträge:
    2.764
    Zustimmungen:
    0
    Ort:
    Wentorf
Thema:

PhP5 Install Probleme

Die Seite wird geladen...

PhP5 Install Probleme - Ähnliche Themen

  1. php5 install aka verzweiflung

    php5 install aka verzweiflung: hallo ich versuch heut shcon den ganzen tag php5 zu installieren compilen klappt bis auf den error: checking for FreeType 1 support... no...
  2. PHP5: MySQL-Extension nachinstallieren (MySQL nicht lokal installiert!)

    PHP5: MySQL-Extension nachinstallieren (MySQL nicht lokal installiert!): Servus zusammen, ich habe einen Solaris-Server und auf diesem läuft PHP5. Ich möchte PHP nun mit den MySQL-Funktionen erweitern. Wie auf der...
  3. parallele Installation von PHP4/PHP5 ->phpswitcher

    parallele Installation von PHP4/PHP5 ->phpswitcher: Hallo, ich benötige sowohl PHP4 sowie PHP5 auf meinem Apache Webserver. Was muss ich tun damit PHP5 zusätzlich zu PHP4 installiert wird? Wenn...
  4. php3 nach php5

    php3 nach php5: Hallo zusammen, ich habe die Aufgabe eine in php3 gestrickte Anwendung nach php5 zu heben. Soweit ich das lese sollte auch alles...
  5. apache2-mod_php5 will nicht.

    apache2-mod_php5 will nicht.: Hi, ich habe hier einen apache2 mit installiertem PHP5 und Apache-Modul unter SuSE 10. PHP selbst funktioniert zwar, jedoch spuckt mir der...
Status des Themas:
Es sind keine weiteren Antworten möglich.